﻿Imports MindFusion.Charting

Public Class MainForm

	Const DefaultFormula As String = "Sin(x / 10) * Cos(x) * 20"

	Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		txtFunction.Text = DefaultFormula

		' FunctionSeries uses MindFusion.Scripting to evaluate
		' function expression and present its results as a Series
		lineChart.Series.Add(New FunctionSeries(DefaultFormula, 100000, 10000))

		DirectCast(lineChart.Series(0), FunctionSeries).Title = "Series 1"

		' add a color for each series
		lineChart.Plot.SeriesStyle = New PerSeriesStyle() With {.Strokes = New List(Of MindFusion.Drawing.Brush)() From {
			New MindFusion.Drawing.SolidBrush(Color.FromArgb(0, 52, 102)),
			New MindFusion.Drawing.SolidBrush(Color.FromArgb(102, 154, 204)),
			New MindFusion.Drawing.SolidBrush(Color.FromArgb(206, 0, 0)),
			New MindFusion.Drawing.SolidBrush(Color.FromArgb(192, 192, 192)),
			New MindFusion.Drawing.SolidBrush(Color.FromArgb(125, 125, 125))
 },
 .Fills = New List(Of MindFusion.Drawing.Brush)() From {
			New MindFusion.Drawing.SolidBrush(Color.FromArgb(0, 52, 102)),
			New MindFusion.Drawing.SolidBrush(Color.FromArgb(102, 154, 204)),
			New MindFusion.Drawing.SolidBrush(Color.FromArgb(206, 0, 0)),
			New MindFusion.Drawing.SolidBrush(Color.FromArgb(192, 192, 192)),
			New MindFusion.Drawing.SolidBrush(Color.FromArgb(125, 125, 125))
 }
}

		lineChart.XAxis.Interval = 50
		lineChart.XAxis.MinValue = 0
		lineChart.XAxis.MaxValue = 500
		lineChart.YAxis.MinValue = -100
		lineChart.YAxis.MaxValue = 100

		lineChart.GridType = GridType.Crossed
		lineChart.Theme.GridLineColor = Color.LightGray
		lineChart.Theme.GridLineStyle = System.Drawing.Drawing2D.DashStyle.Dash
		lineChart.Plot.Background = New MindFusion.Drawing.SolidBrush(Color.White)
		lineChart.ShowLegendTitle = False

	End Sub

	Private Sub btnFunction_Click(sender As Object, e As EventArgs) Handles btnFunction.Click
		Try
			lineChart.Series.Add(New FunctionSeries(txtFunction.Text, 100000, 100000))
			DirectCast(lineChart.Series(lineChart.Series.Count - 1), FunctionSeries).Title = "Series " + lineChart.Series.Count.ToString()
		Catch ex As Exception
			txtFunction.Text = ex.Message
		End Try
	End Sub

	Private Sub btnClear_Click(sender As Object, e As EventArgs) Handles btnClear.Click
		lineChart.Series.Clear()
	End Sub


End Class
